<!DOCTYPE html>
<html lang="tr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Araç Ekspertiz Sistemi | Giriş</title>
    <!-- Bootstrap 5 CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap" rel="stylesheet">
    <!-- Animate.css -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css">
    <!-- Custom CSS -->
    <style>
        :root {
            --primary-color: #4361ee;
            --secondary-color: #3f37c9;
            --accent-color: #4895ef;
            --success-color: #4cc9f0;
            --warning-color: #f72585;
            --dark-color: #212529;
            --light-color: #f8f9fa;
            --gradient-primary: linear-gradient(135deg, #4361ee 0%, #3a0ca3 100%);
            --gradient-secondary: linear-gradient(135deg, #4895ef 0%, #4cc9f0 100%);
            --shadow-sm: 0 .125rem .25rem rgba(0, 0, 0, .075);
            --shadow-md: 0 .5rem 1rem rgba(0, 0, 0, .15);
            --shadow-lg: 0 1rem 3rem rgba(0, 0, 0, .175);
            --transition: all 0.3s ease;
        }

        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        body {
            font-family: 'Poppins', sans-serif;
            background-color: #f5f8fe;
            min-height: 100vh;
            display: flex;
            justify-content: center;
            align-items: center;
            position: relative;
            overflow-x: hidden;
        }

        body::before,
        body::after {
            content: '';
            position: absolute;
            width: 300px;
            height: 300px;
            border-radius: 50%;
            z-index: -1;
        }

        body::before {
            background: var(--gradient-primary);
            top: -150px;
            left: -150px;
            opacity: 0.6;
        }

        body::after {
            background: var(--gradient-secondary);
            bottom: -150px;
            right: -150px;
            opacity: 0.6;
        }

        .pattern-bg {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-image: url("data:image/svg+xml,%3Csvg width='60' height='60' viewBox='0 0 60 60' xmlns='http://www.w3.org/2000/svg'%3E%3Cg fill='none' fill-rule='evenodd'%3E%3Cg fill='%234361ee' fill-opacity='0.05'%3E%3Cpath d='M36 34v-4h-2v4h-4v2h4v4h2v-4h4v-2h-4zm0-30V0h-2v4h-4v2h4v4h2V6h4V4h-4zM6 34v-4H4v4H0v2h4v4h2v-4h4v-2H6zM6 4V0H4v4H0v2h4v4h2V6h4V4H6z'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
            opacity: 0.7;
            z-index: -2;
        }

        .login-container {
            max-width: 800px;
            width: 85%;
            margin: 30px auto;
            background: white;
            border-radius: 16px;
            overflow: hidden;
            box-shadow: var(--shadow-lg);
            display: flex;
            flex-direction: row-reverse;
            min-height: 520px;
        }

        .login-form-container {
            width: 55%;
            padding: 2.5rem;
            display: flex;
            flex-direction: column;
            justify-content: center;
        }

        .login-image-container {
            width: 45%;
            background: var(--gradient-primary);
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            color: white;
            padding: 1.8rem;
            position: relative;
            overflow: hidden;
        }

        .login-image-container::before {
            content: '';
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-image: url('data:image/svg+xml,%3Csvg width="52" height="26" viewBox="0 0 52 26" xmlns="http://www.w3.org/2000/svg"%3E%3Cg fill="none" fill-rule="evenodd"%3E%3Cg fill="%23ffffff" fill-opacity="0.1"%3E%3Cpath d="M10 10c0-2.21-1.79-4-4-4-3.314 0-6-2.686-6-6h2c0 2.21 1.79 4 4 4 3.314 0 6 2.686 6 6 0 2.21 1.79 4 4 4 3.314 0 6 2.686 6 6 0 2.21 1.79 4 4 4v2c-3.314 0-6-2.686-6-6 0-2.21-1.79-4-4-4-3.314 0-6-2.686-6-6zm25.464-1.95l8.486 8.486-1.414 1.414-8.486-8.486 1.414-1.414z" /%3E%3C/g%3E%3C/g%3E%3C/svg%3E');
            opacity: 0.8;
        }

        .login-image-text {
            text-align: center;
            position: relative;
            z-index: 1;
        }

        .login-image-text h2 {
            font-size: 1.8rem;
            font-weight: 700;
            margin-bottom: 0.8rem;
            text-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
        }

        .login-image-text p {
            font-size: 0.95rem;
            opacity: 0.9;
            max-width: 90%;
            margin: 0 auto 1.5rem;
        }

        .car-illustration {
            max-width: 80%;
            margin-bottom: 2rem;
            filter: drop-shadow(0 10px 20px rgba(0, 0, 0, 0.2));
            animation: float 6s ease-in-out infinite;
        }

        @keyframes float {
            0% { transform: translateY(0px); }
            50% { transform: translateY(-20px); }
            100% { transform: translateY(0px); }
        }

        .login-badges {
            display: flex;
            justify-content: center;
            gap: 1rem;
            margin-top: 2rem;
        }

        .login-badge {
            background: rgba(255, 255, 255, 0.2);
            backdrop-filter: blur(5px);
            border-radius: 10px;
            padding: 0.5rem 1rem;
            font-size: 0.8rem;
            display: flex;
            align-items: center;
            gap: 0.5rem;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        }

        .login-badge i {
            font-size: 1rem;
        }

        .logo {
            text-align: center;
            margin-bottom: 2rem;
        }

        .logo-icon {
            background: var(--gradient-primary);
            width: 60px;
            height: 60px;
            border-radius: 12px;
            display: flex;
            align-items: center;
            justify-content: center;
            margin: 0 auto 0.8rem;
            box-shadow: var(--shadow-md);
            transform: rotate(-5deg);
        }

        .logo-icon i {
            font-size: 2rem;
            color: white;
        }

        .logo h1 {
            font-size: 1.6rem;
            font-weight: 700;
            color: var(--dark-color);
            margin-bottom: 0.2rem;
        }

        .logo p {
            font-size: 0.9rem;
            color: #6c757d;
            margin-bottom: 0;
        }

        .welcome-text {
            text-align: center;
            margin-bottom: 1.5rem;
        }

        .welcome-text h2 {
            font-size: 1.5rem;
            font-weight: 600;
            color: var(--dark-color);
            margin-bottom: 0.4rem;
        }

        .welcome-text p {
            color: #6c757d;
            font-size: 0.95rem;
        }

        .form-floating {
            margin-bottom: 1.2rem;
        }

        .form-floating .form-control {
            border-radius: 8px;
            border: 1px solid #e0e0e0;
            padding: 1rem 1rem 1rem 3rem;
            height: 52px;
            font-size: 0.95rem;
            box-shadow: var(--shadow-sm);
            transition: var(--transition);
        }

        .form-floating > label {
            padding: 1rem 1rem 1rem 3rem;
        }

        .input-icon {
            position: absolute;
            left: 1rem;
            top: 1.1rem;
            font-size: 1.2rem;
            color: #6c757d;
            z-index: 5;
        }

        .form-control:focus {
            border-color: var(--primary-color);
            box-shadow: 0 0 0 0.25rem rgba(67, 97, 238, 0.25);
        }

        .form-check {
            display: flex;
            align-items: center;
        }

        .form-check-input {
            width: 1.1em;
            height: 1.1em;
            margin-top: 0.15em;
            cursor: pointer;
        }

        .form-check-label {
            margin-left: 0.5rem;
            font-size: 0.95rem;
            cursor: pointer;
        }

        .form-check-input:checked {
            background-color: var(--primary-color);
            border-color: var(--primary-color);
        }

        .forgot-password {
            text-align: right;
            font-size: 0.95rem;
        }

        .forgot-password a {
            color: var(--primary-color);
            text-decoration: none;
            transition: var(--transition);
        }

        .forgot-password a:hover {
            color: var(--secondary-color);
            text-decoration: underline;
        }

        .btn-primary {
            background: var(--gradient-primary);
            border: none;
            border-radius: 8px;
            padding: 0.7rem 0;
            font-weight: 600;
            letter-spacing: 0.5px;
            box-shadow: 0 4px 15px rgba(67, 97, 238, 0.35);
            transition: all 0.3s ease;
            height: 48px;
            font-size: 0.95rem;
        }

        .btn-primary:hover,
        .btn-primary:focus {
            background: var(--gradient-primary);
            transform: translateY(-3px);
            box-shadow: 0 8px 25px rgba(67, 97, 238, 0.5);
        }

        .btn-primary:active {
            transform: translateY(0);
            box-shadow: 0 4px 15px rgba(67, 97, 238, 0.35);
        }

        .divider {
            display: flex;
            align-items: center;
            text-align: center;
            margin: 1.5rem 0;
            color: #6c757d;
            font-size: 0.85rem;
        }

        .divider::before,
        .divider::after {
            content: '';
            flex: 1;
            border-bottom: 1px solid #e0e0e0;
        }

        .divider::before {
            margin-right: 1rem;
        }

        .divider::after {
            margin-left: 1rem;
        }

        .social-login {
            display: flex;
            justify-content: center;
            gap: 1rem;
            margin-bottom: 2rem;
        }

        .social-btn {
            width: 42px;
            height: 42px;
            border-radius: 8px;
            display: flex;
            align-items: center;
            justify-content: center;
            background: white;
            border: 1px solid #e0e0e0;
            font-size: 1.1rem;
            color: #6c757d;
            cursor: pointer;
            transition: var(--transition);
            box-shadow: var(--shadow-sm);
        }

        .social-btn:hover {
            transform: translateY(-3px);
            box-shadow: var(--shadow-md);
        }

        .social-btn.google {
            color: #ea4335;
        }

        .social-btn.facebook {
            color: #1877f2;
        }

        .social-btn.apple {
            color: #000;
        }

        .register-link {
            text-align: center;
            font-size: 0.95rem;
            margin-top: 2rem;
        }

        .register-link a {
            color: var(--primary-color);
            font-weight: 600;
            text-decoration: none;
            transition: var(--transition);
        }

        .register-link a:hover {
            color: var(--secondary-color);
            text-decoration: underline;
        }

        .alert {
            border-radius: 10px;
            padding: 1rem;
            margin-bottom: 1.5rem;
            font-size: 0.95rem;
            border: none;
            box-shadow: var(--shadow-sm);
            display: none;
        }

        .alert-danger {
            background-color: rgba(247, 37, 133, 0.1);
            color: var(--warning-color);
        }

        .loading-spinner {
            display: none;
            margin-right: 0.5rem;
        }

        /* Password Visibility Toggle */
        .password-toggle {
            position: absolute;
            top: 1.3rem;
            right: 1rem;
            z-index: 10;
            background: transparent;
            border: none;
            color: #6c757d;
            cursor: pointer;
            font-size: 1rem;
        }

        .password-toggle:focus {
            outline: none;
        }

        /* Responsive */
        @media (max-width: 992px) {
            .login-container {
                flex-direction: column;
                width: 90%;
                max-width: 450px;
                min-height: auto;
            }

            .login-form-container,
            .login-image-container {
                width: 100%;
            }

            .login-image-container {
                padding: 2.5rem 1.8rem;
            }

            .login-form-container {
                padding: 2rem 1.8rem;
            }

            .car-illustration {
                max-width: 50%;
            }
        }

        @media (max-width: 576px) {
            .login-badges {
                flex-direction: column;
                gap: 0.5rem;
            }

            .login-form-container,
            .login-image-container {
                padding: 2rem 1.5rem;
            }

            .logo-icon {
                width: 60px;
                height: 60px;
            }

            .logo-icon i {
                font-size: 2rem;
            }

            .welcome-text h2 {
                font-size: 1.5rem;
            }

            .login-image-text h2 {
                font-size: 2rem;
            }
        }

        /* Animation Classes */
        .fade-in-up {
            animation: fadeInUp 0.5s ease forwards;
        }

        .fade-in-down {
            animation: fadeInDown 0.5s ease forwards;
        }

        .fade-in-left {
            animation: fadeInLeft 0.5s ease forwards;
        }

        .fade-in-right {
            animation: fadeInRight 0.5s ease forwards;
        }

        @keyframes fadeInUp {
            from {
                opacity: 0;
                transform: translateY(20px);
            }
            to {
                opacity: 1;
                transform: translateY(0);
            }
        }

        @keyframes fadeInDown {
            from {
                opacity: 0;
                transform: translateY(-20px);
            }
            to {
                opacity: 1;
                transform: translateY(0);
            }
        }

        @keyframes fadeInLeft {
            from {
                opacity: 0;
                transform: translateX(-20px);
            }
            to {
                opacity: 1;
                transform: translateX(0);
            }
        }

        @keyframes fadeInRight {
            from {
                opacity: 0;
                transform: translateX(20px);
            }
            to {
                opacity: 1;
                transform: translateX(0);
            }
        }
    </style>
</head>
<body>
<div class="pattern-bg"></div>

<div class="login-container">
    <div class="login-form-container">
        <div class="logo fade-in-down">
            <div class="logo-icon">
                <i class="fas fa-car"></i>
            </div>
            <h1>Araç Ekspertiz</h1>
            <p>Profesyonel Ekspertiz Otomasyonu</p>
        </div>

        <div class="welcome-text fade-in-down" style="animation-delay: 0.1s;">
            <h2>Hoş Geldiniz</h2>
            <p>Hesabınıza giriş yapın</p>
        </div>

        <div class="alert alert-danger fade-in-down" id="login-error" role="alert">
            <i class="fas fa-exclamation-circle me-2"></i> <span id="error-message">Kullanıcı adı veya şifre hatalı!</span>
        </div>

        <form id="login-form" class="fade-in-up" style="animation-delay: 0.2s;">
            <div class="form-floating mb-4 position-relative">
                <i class="fas fa-user input-icon"></i>
                <input type="text" class="form-control" id="username" name="username" placeholder="Kullanıcı Adı" required>
                <label for="username">Kullanıcı Adı</label>
            </div>

            <div class="form-floating mb-4 position-relative">
                <i class="fas fa-lock input-icon"></i>
                <input type="password" class="form-control" id="password" name="password" placeholder="Şifre" required>
                <label for="password">Şifre</label>
                <button type="button" class="password-toggle" id="toggle-password">
                    <i class="far fa-eye" id="eye-icon"></i>
                </button>
            </div>

            <div class="d-flex justify-content-between mb-4 fade-in-up" style="animation-delay: 0.3s;">
                <div class="form-check">
                    <input type="checkbox" class="form-check-input" id="remember-me" name="remember">
                    <label class="form-check-label" for="remember-me">Beni hatırla</label>
                </div>
                <div class="forgot-password">
                    <a href="#" id="forgot-password">Şifremi Unuttum?</a>
                </div>
            </div>

            <div class="d-grid mb-4 fade-in-up" style="animation-delay: 0.4s;">
                <button type="submit" class="btn btn-primary" id="login-button">
                    <span class="spinner-border spinner-border-sm loading-spinner" id="login-spinner"></span>
                    Giriş Yap
                </button>
            </div>
        </form>

        <div class="divider fade-in-up" style="animation-delay: 0.5s;">veya alternatif giriş</div>

        <div class="social-login fade-in-up" style="animation-delay: 0.6s;">
            <button class="social-btn google">
                <i class="fab fa-google"></i>
            </button>
            <button class="social-btn facebook">
                <i class="fab fa-facebook-f"></i>
            </button>
            <button class="social-btn apple">
                <i class="fab fa-apple"></i>
            </button>
        </div>

        <div class="register-link fade-in-up" style="animation-delay: 0.7s;">
            <p>Hesabınız yok mu? <a href="#" id="register-link">Kayıt Olun</a></p>
        </div>
    </div>

    <div class="login-image-container">
        <div class="login-image-text">
            <h2 class="fade-in-right">Araç Ekspertiz Sistemi</h2>
            <p class="fade-in-right" style="animation-delay: 0.1s;">Profesyonel araç ekspertiz hizmetiniz için en gelişmiş otomasyon çözümü</p>

            <!-- Araç İllüstrasyon - Basit SVG resmi olarak eklenmiştir -->
            <svg class="car-illustration fade-in-right" style="animation-delay: 0.2s;" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 320" fill="#fff">
                <path d="M120,216.4c0,22.9-18.4,41.3-41.3,41.3c-22.9,0-41.3-18.4-41.3-41.3s18.4-41.3,41.3-41.3C101.6,175.1,120,193.5,120,216.4z M474.7,216.4c0,22.9-18.4,41.3-41.3,41.3c-22.9,0-41.3-18.4-41.3-41.3s18.4-41.3,41.3-41.3C456.2,175.1,474.7,193.5,474.7,216.4z M89.5,159.2C65.6,159.2,48,185,48,185s-26.1-2.5-36.4,17.6C1.3,222.7,0,226.6,0,233.8c0,0,0,4.2,0,5.9c0,21.6,14.9,46,46,46c31.1,0,46-24.4,46-46c0-22.9-18.4-41.3-41.3-41.3c-7.7,0-14.9,2.2-21.1,5.8c5.6-8.4,17.5-21.8,32.7-21.8h246c15.2,0,27.1,13.4,32.7,21.8c-6.2-3.7-13.4-5.8-21.1-5.8c-22.9,0-41.3,18.4-41.3,41.3c0,21.6,14.9,46,46,46c31.1,0,46-24.4,46-46c0-1.7,0-5.9,0-5.9c0-7.2-1.3-11.1-11.6-31.2c-10.3-20.1-36.4-17.6-36.4-17.6s-17.5-25.8-41.5-25.8H89.5V159.2L89.5,159.2z M484.3,210.4c7.2,14.1,8.9,19.6,8.9,23.3c0,1,0,4.1,0,5.4c0,17.3-11.6,38-38,38c-26.4,0-38-20.7-38-38c0-17.5,14.3-33.3,33.3-33.3c9.8,0,18.4,4.3,24.5,10.9C473,214.3,469.7,205.3,484.3,210.4z M27.7,210.4c14.7-5.1,11.3,3.9,9.2,6.3c6.1-6.6,14.7-10.9,24.5-10.9c19.1,0,33.3,15.8,33.3,33.3c0,17.3-11.6,38-38,38c-26.4,0-38-20.7-38-38c0-1.3,0-4.4,0-5.4C18.8,230,20.5,224.5,27.7,210.4z M473.3,175.1h-309c0-9.5-7.7-17.1-17.1-17.1h-17.3V110c0-9.5,7.7-17.1,17.1-17.1H473c9.5,0,17.1,7.7,17.1,17.1v48C490.3,167.4,482.7,175.1,473.3,175.1z M149.3,93c-4.7,0-8.7,3.9-8.7,8.7V150c0,4.7,3.9,8.7,8.7,8.7h307c4.7,0,8.7-3.9,8.7-8.7v-48c0-4.7-3.9-8.7-8.7-8.7H149.3z"/>
            </svg>

            <div class="login-badges fade-in-right" style="animation-delay: 0.3s;">
                <div class="login-badge">
                    <i class="fas fa-shield-alt"></i>
                    <span>Güvenli Erişim</span>
                </div>
                <div class="login-badge">
                    <i class="fas fa-sync-alt"></i>
                    <span>Gerçek Zamanlı</span>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Bootstrap JS with Popper -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
<!-- jQuery -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<!-- Custom JS -->
<script src="js/login.js"></script>
</body>
</html>