<!DOCTYPE html>
<html lang="tr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Şifre Yenileme - Araç Ekspertiz Sistemi</title>
    <!-- Bootstrap 5 CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap" rel="stylesheet">
    <style>
        :root {
            --primary-color: #4361ee;
            --secondary-color: #3f37c9;
            --accent-color: #4895ef;
            --success-color: #4cc9f0;
            --warning-color: #f72585;
            --dark-color: #212529;
            --light-color: #f8f9fa;
            --gradient-primary: linear-gradient(135deg, #4361ee 0%, #3a0ca3 100%);
            --shadow-sm: 0 .125rem .25rem rgba(0, 0, 0, .075);
            --shadow-md: 0 .5rem 1rem rgba(0, 0, 0, .15);
            --transition: all 0.3s ease;
        }

        body {
            font-family: 'Poppins', sans-serif;
            background-color: #f5f8fe;
            min-height: 100vh;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .reset-container {
            max-width: 450px;
            width: 90%;
            background: white;
            border-radius: 12px;
            padding: 2rem;
            box-shadow: var(--shadow-md);
        }

        .logo {
            text-align: center;
            margin-bottom: 1.5rem;
        }

        .logo-icon {
            background: var(--gradient-primary);
            width: 50px;
            height: 50px;
            border-radius: 10px;
            display: flex;
            align-items: center;
            justify-content: center;
            margin: 0 auto 0.8rem;
            box-shadow: var(--shadow-sm);
        }

        .logo-icon i {
            font-size: 1.5rem;
            color: white;
        }

        .logo h1 {
            font-size: 1.5rem;
            font-weight: 600;
            color: var(--dark-color);
            margin-bottom: 0.2rem;
        }

        .logo p {
            font-size: 0.85rem;
            color: #6c757d;
            margin-bottom: 0;
        }

        .header {
            text-align: center;
            margin-bottom: 1.5rem;
        }

        .header h2 {
            font-size: 1.5rem;
            margin-bottom: 0.5rem;
            color: var(--dark-color);
        }

        .header p {
            color: #6c757d;
            font-size: 0.9rem;
            margin-bottom: 0;
        }

        .form-group {
            margin-bottom: 1.2rem;
        }

        .form-label {
            font-weight: 500;
            font-size: 0.9rem;
            margin-bottom: 0.4rem;
        }

        .form-control {
            height: 48px;
            border-radius: 8px;
            border: 1px solid #e0e0e0;
            padding: 0.5rem 1rem;
            font-size: 0.95rem;
            box-shadow: var(--shadow-sm);
            transition: var(--transition);
        }

        .form-control:focus {
            border-color: var(--primary-color);
            box-shadow: 0 0 0 0.25rem rgba(67, 97, 238, 0.25);
        }

        .input-group-text {
            background-color: #f8f9fa;
            border: 1px solid #e0e0e0;
            border-radius: 8px 0 0 8px;
        }

        .btn-primary {
            background: var(--gradient-primary);
            border: none;
            border-radius: 8px;
            padding: 0.7rem 0;
            font-weight: 600;
            letter-spacing: 0.5px;
            box-shadow: 0 4px 15px rgba(67, 97, 238, 0.35);
            transition: var(--transition);
            height: 48px;
        }

        .btn-primary:hover,
        .btn-primary:focus {
            background: var(--gradient-primary);
            transform: translateY(-3px);
            box-shadow: 0 8px 25px rgba(67, 97, 238, 0.5);
        }

        .btn-primary:active {
            transform: translateY(0);
            box-shadow: 0 4px 15px rgba(67, 97, 238, 0.35);
        }

        .login-link {
            text-align: center;
            margin-top: 1.5rem;
            font-size: 0.9rem;
        }

        .login-link a {
            color: var(--primary-color);
            font-weight: 500;
            text-decoration: none;
            transition: var(--transition);
        }

        .login-link a:hover {
            color: var(--secondary-color);
            text-decoration: underline;
        }

        .alert {
            padding: 0.8rem 1rem;
            border-radius: 8px;
            margin-bottom: 1.5rem;
            font-size: 0.9rem;
        }

        .alert-success {
            background-color: rgba(76, 201, 240, 0.1);
            border: 1px solid rgba(76, 201, 240, 0.2);
            color: var(--success-color);
        }

        .alert-danger {
            background-color: rgba(247, 37, 133, 0.1);
            border: 1px solid rgba(247, 37, 133, 0.2);
            color: var(--warning-color);
        }

        .password-toggle {
            cursor: pointer;
            color: #6c757d;
        }

        .loading-spinner {
            display: none;
            margin-right: 0.5rem;
        }
    </style>
</head>
<body>
<div class="reset-container">
    <div class="logo">
        <div class="logo-icon">
            <i class="fas fa-car"></i>
        </div>
        <h1>Araç Ekspertiz</h1>
        <p>Profesyonel Ekspertiz Otomasyonu</p>
    </div>

    <div class="header">
        <h2>Şifre Yenileme</h2>
        <p>Kullanıcı ID ve yeni şifrenizi girin</p>
    </div>

    <!-- Başarı mesajı (JavaScript ile gösterilecek) -->
    <div class="alert alert-success" id="success-alert" style="display: none;">
        <i class="fas fa-check-circle me-2"></i> <span id="success-message">Şifreniz başarıyla güncellendi!</span>
    </div>

    <!-- Hata mesajı (JavaScript ile gösterilecek) -->
    <div class="alert alert-danger" id="error-alert" style="display: none;">
        <i class="fas fa-exclamation-circle me-2"></i> <span id="error-message">Bir hata oluştu, lütfen tekrar deneyin.</span>
    </div>

    <form id="reset-form">
        <div class="form-group">
            <label for="user-id" class="form-label">Kullanıcı ID</label>
            <input type="text" class="form-control" id="user-id" name="user_id" placeholder="Kullanıcı ID'nizi girin" required>
        </div>

        <div class="form-group">
            <label for="new-password" class="form-label">Yeni Şifre</label>
            <div class="input-group">
                <input type="password" class="form-control" id="new-password" name="new_password" placeholder="Yeni şifrenizi girin" required>
                <span class="input-group-text password-toggle" id="toggle-password">
                        <i class="far fa-eye" id="eye-icon"></i>
                    </span>
            </div>
            <div class="form-text mt-1">Şifreniz en az 8 karakter olmalıdır.</div>
        </div>

        <div class="form-group">
            <label for="confirm-password" class="form-label">Şifre Tekrarı</label>
            <div class="input-group">
                <input type="password" class="form-control" id="confirm-password" name="confirm_password" placeholder="Şifrenizi tekrar girin" required>
                <span class="input-group-text password-toggle" id="toggle-confirm">
                        <i class="far fa-eye" id="confirm-eye-icon"></i>
                    </span>
            </div>
        </div>

        <div class="d-grid">
            <button type="submit" class="btn btn-primary" id="reset-button">
                <span class="spinner-border spinner-border-sm loading-spinner" id="reset-spinner"></span>
                Şifreyi Yenile
            </button>
        </div>
    </form>

    <div class="login-link">
        <p>Giriş sayfasına dönmek için <a href="login.php">tıklayın</a></p>
    </div>
</div>

<!-- Bootstrap JS with Popper -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
<!-- jQuery -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<script>
    $(document).ready(function() {
        // Şifre göster/gizle işlevi
        $("#toggle-password").click(function() {
            const passwordField = $("#new-password");
            const eyeIcon = $("#eye-icon");

            if (passwordField.attr("type") === "password") {
                passwordField.attr("type", "text");
                eyeIcon.removeClass("fa-eye").addClass("fa-eye-slash");
            } else {
                passwordField.attr("type", "password");
                eyeIcon.removeClass("fa-eye-slash").addClass("fa-eye");
            }
        });

        // Şifre tekrarı göster/gizle işlevi
        $("#toggle-confirm").click(function() {
            const passwordField = $("#confirm-password");
            const eyeIcon = $("#confirm-eye-icon");

            if (passwordField.attr("type") === "password") {
                passwordField.attr("type", "text");
                eyeIcon.removeClass("fa-eye").addClass("fa-eye-slash");
            } else {
                passwordField.attr("type", "password");
                eyeIcon.removeClass("fa-eye-slash").addClass("fa-eye");
            }
        });

        // Form gönderme işlevi
        $("#reset-form").submit(function(e) {
            e.preventDefault();

            // Form verilerini alma
            const userId = $("#user-id").val();
            const newPassword = $("#new-password").val();
            const confirmPassword = $("#confirm-password").val();

            // Şifre doğrulama
            if (newPassword.length < 8) {
                $("#error-message").text("Şifreniz en az 8 karakter olmalıdır.");
                $("#error-alert").fadeIn();
                setTimeout(function() {
                    $("#error-alert").fadeOut();
                }, 3000);
                return;
            }

            // Şifre tekrarı kontrolü
            if (newPassword !== confirmPassword) {
                $("#error-message").text("Şifreler eşleşmiyor. Lütfen tekrar deneyin.");
                $("#error-alert").fadeIn();
                setTimeout(function() {
                    $("#error-alert").fadeOut();
                }, 3000);
                return;
            }

            // Formu devre dışı bırakma ve spinner gösterme
            $("#reset-button").prop("disabled", true);
            $("#reset-spinner").show();

            // AJAX ile şifre yenileme
            $.ajax({
                type: "POST",
                url: "apix/reset_password_process.php",
                data: {
                    user_id: userId,
                    new_password: newPassword
                },
                dataType: "json",
                success: function(response) {
                    if (response.success) {
                        // Başarı mesajı
                        $("#success-message").text(response.message);
                        $("#success-alert").fadeIn();

                        // Formu temizleme
                        $("#reset-form")[0].reset();

                        // 3 saniye sonra giriş sayfasına yönlendirme
                        setTimeout(function() {
                            window.location.href = "login.php";
                        }, 3000);
                    } else {
                        // Hata mesajı
                        $("#error-message").text(response.message);
                        $("#error-alert").fadeIn();
                        setTimeout(function() {
                            $("#error-alert").fadeOut();
                        }, 3000);
                    }
                },
                error: function() {
                    // Sunucu hatası
                    $("#error-message").text("Sunucu hatası! Lütfen daha sonra tekrar deneyiniz.");
                    $("#error-alert").fadeIn();
                    setTimeout(function() {
                        $("#error-alert").fadeOut();
                    }, 3000);
                },
                complete: function() {
                    // İşlem tamamlandıktan sonra butonu aktif etme ve spinner gizleme
                    $("#reset-button").prop("disabled", false);
                    $("#reset-spinner").hide();
                }
            });
        });
    });
</script>
</body>
</html>